Strict Standards: Non-static method

Wenn Sie die folgende(n) Warnung(en) auf Ihrer Seite erhalten:

Strict Standards: Non-static method ... in Zeile XX

und Sie benutzen Joomla! 2.5 oder 3.x, gehen Sie zu Ihrer Joomla! Konfiguration - Server und setzen Sie den Parameter Fehler berichten auf Keine.

 

PHP Fehlermeldung serverseitig abschalten:

Sie können "Strict Standards" auch in Ihrem Server in den PHP Einstellungen abschalten.

Gehen Sie zu Ihrer php.ini (oder fragen Sie Ihren Webhosting Provider) und schalten Sie "Strict Standards" in Ihrem Server ab.

Das Attribut heißt: error_reporting

Beispiel:

Von:

error_reporting = E_ALL  | E_STRICT

Zu:

error_reporting = E_ALL | E_DEPRECATED

 

(natürlich kann der Fehler berichten Parameter Ihrer Joomla! Konfiguration diesen Wert überschreiben)

Falls Sie nicht in der Lage sind die php.ini auf Ihrem Server zu verändern, versuchen Sie Ihren Webhosting-Provider zu befragen.

Joomla! Erweiterungen wurden für PHP 5 geschrieben. Wenn nun PHP 7.1 veröffentlicht wurde (dies gilt natürlich genauso für neuere Versionen in der Zukunft), enthält es viele Änderungen und es kann vorkommen, dass Entwicklungswarnungen angezeigt werden, wenn veralteter Code in den Erweiterungen verwendet wird. Da die Phoca Erweiterungen Hunderttausende von Codezeilen enthalten, dauert es einige Zeit, bis der Code für die neuesten Versionen von PHP, MySQL usw. überschrieben wird. Deaktivieren Sie die Entwicklungswarnungen auf produktiven Seiten und warten Sie auf die nächste Version.

 

 

Wir bedanken uns für gute Zusammenarbeit und freundliche Unterstützung bei:

NMMN

 

 

 

Phoca